Healthcare Provider API Documentation

Introduction

This API is for performing searches on our healthcare provider database.

We currently expose a single endpoint for each EMR/software provider or Client. You can use either the GET or POST methods outlined in the Requests section below. The Responses for these methods are identical.

Authentication

Every request requires a private API key. This key is used to authenticate a request from an EMR/software provider or Client against their endpoint. This key is private and should never be shared.

Requests

Request Parameters

Parameter Description
api_key
REQUIRED
This is your private API key. If you are missing this key or have not received it yet, please contact us at contact@doctormailing.com and we can generate a new key for you. Do not share this key.

tldr: a standard API key, eg.
0A1B2C3D-4E5F-6G7H-8I9J-0K1L2M3N4O5P
client_id
REQUIRED
This is a unique identifier for the customer that this request is made on behalf of. One EMR software provider will have many clients with different requirements for types of healthcare providers, US states, and data fields. The provided client_id determines the subset of data to be searched within.

tldr: a 7 digit ID that uniquely identifies your customers, eg. 1234567
term REQUIRED This is the search term provided by the user of the EMR software. Typically, this is the first and/or last name of the healthcare provider they are searching for. This is a string that contains the search terms in any order, comma and/or space separated. For example, “BOB, DYLAN” “BOB DYLAN” and “DYLAN,BOB” are all okay.

tldr: the user search term, eg. smith

Request Format

GET

GET https://api.doctormailing/EMR_PROVIDER_NAME/?

  api_key=YOUR_API_KEY&

  client_id=UNIQUE_CLIENT_ID&

  term=YOUR_SEARCH_TERM

POST

POST https://api.doctormailing/EMR_PROVIDER_NAME/

Content-Type: application/json

{

    "api_key": "YOUR_API_KEY",

    "client_id": "UNIQUE_CLIENT_ID",

    "term": "YOUR_SEARCH_TERM"

 }

NOTES

  • Don’t forget the trailing “/” on the endpoint
  • POST requests will fail if the Content-Type of application/json is not sent.

Status Codes

Status Code Description
200
OK
Successful HTTP request. The response will contain a JSON encoded array of objects. This array will be empty if no records match the requested term.
400
Search length must be at least 3 characters
The provided search term was less than 3 characters in length. Increase the number of characters to at least 3.
401
Incorrect API Key
No API key provided or does not match an active API key in our database.
415
Unaccepted Content-Type
Unsupported content type. This will occur if the POST content type is not set to application/json.

Example Request / Response

Request JSON

{

    "api_key":"24c1e980-f28f-4165-b395-83ad9ac6d01e",
    "client_id":"1234567",
    "term":"charlie"

}

Response JSON

[
{  
        "NPI": "1003054321",
	"Last Name": "SMITH",
	"First Name": "CHARLIE",
	"Middle Name": "",
	"Name Prefix": "",
	"Name Suffix": "",
	"Credentials": "M.D.",
	"Mailing Address1": "313 SKYVIEW DR",
	"Mailing Address2": "",
	"Mailing Address City": "CUMBERLAND",
	"Mailing Address State": "MD",
	"Mailing Zip5": "98765",
	"Mailing Zip4": "1234",
	"Mailing Address Fax": "5555555555",
	"Business Address1": "900 SETON DR",
	"Business Address2": "",
	"Business Address City Name": "CUMBERLAND",
	"Business Address State Name": "MD",
	"Business Zip5": "98765",
	"Business Zip4": "1234",
	"Business Address Fax": "",
	"Gender": "M",
	"License Number": "D0012345",
	"License State": "MD",
	"Category": "Physicians",
	"Classification": "Internist",
	"Specialization": "Internal Medicine"
},
{     
	"NPI": "1003012345",
	"Last Name": "CHARLIE",
	"First Name": "JANE",
	"Middle Name": "LEE",
	"Name Prefix": "DR.",
	"Name Suffix": "",
	"Credentials": "M.D.",
	"Mailing Address1": "2650 RIDGE AVE",
	"Mailing Address2": "EVANSTON HOSPITAL",
	"Mailing Address City": "EVANSTON",
	"Mailing Address State": "IL",
	"Mailing Zip5": "98765",
	"Mailing Zip4": "1234",
	"Mailing Address Fax": "5555555555",
	"Business Address1": "2650 RIDGE AVE",
	"Business Address2": "EVANSTON HOSPITAL",
	"Business Address City Name": "EVANSTON",
	"Business Address State Name": "IL",
	"Business Zip5": "98765",
	"Business Zip4": "1234",
	"Business Address Fax": "5555555555",
	"Gender": "F",
	"License Number": "36154321",
	"License State": "IL",
	"Category": "Physicians",
	"Classification": "Pathologist",
	"Specialization": "Anatomic Pathology & Clinical Pathology"
},
  etc...
]

Limitations

We currently do not limit usage of this endpoint with a request quota in order to allow for unexpected spikes in traffic, however, we do monitor usage per API key.